Bug 131467 - perl program reliably oopses kernel
perl program reliably oopses kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 12:41 EDT by todd underwood
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description todd underwood 2004-09-01 12:41:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.8

Description of problem:
long-running perl program that allocates a bunch of memory, forks a
fair number of processes, reliably oopses kernel after 18-24 hours.

Oops is:


Sep  1 16:20:36 bosphor kernel: Oops: 0002
Sep  1 16:20:36 bosphor kernel: nls_iso8859-1 loop nfsd parport_pc lp
parport au
tofs nfs lockd sunrpc e100 iptable_filter ip_tables e1000 floppy sg
sr_mod micro
code ide-scsi ide-cd cdrom key
Sep  1 16:20:36 bosphor kernel: CPU:    0
Sep  1 16:20:36 bosphor kernel: EIP:    0060:[<c012f1d9>]    Not tainted
Sep  1 16:20:36 bosphor kernel: EFLAGS: 00010202
Sep  1 16:20:36 bosphor kernel:
Sep  1 16:20:36 bosphor kernel: EIP is at free_uid [kernel] 0x39
(2.4.22-1.2199.
nptlsmp)
Sep  1 16:20:36 bosphor kernel: eax: 00000000   ebx: f6992b80   ecx:
f6992b8c
edx: 00000000
Sep  1 16:20:36 bosphor kernel: esi: f6f6b884   edi: e26d3284   ebp:
c6364000
esp: caac7f28
Sep  1 16:20:36 bosphor kernel: ds: 0068   es: 0068   ss: 0068
Sep  1 16:20:36 bosphor kernel: Process streams2.pl (pid: 19349,
stackpage=caac7
000)
Sep  1 16:20:36 bosphor kernel: Stack: f6992b80 c03758ec 01200011
c0122ca0 f6992
b80 c6364000 e9daf680 c015d1c4
Sep  1 16:20:36 bosphor kernel:        00000008 ccb45400 c63640d0
fffffff4 01200
011 00000000 bf5460c8 bfecbc0c
Sep  1 16:20:36 bosphor kernel:        c012316e 01200011 bfecbb6c
caac7fc4 00000
000 00000000 bf5460c8 0000000b
Sep  1 16:20:36 bosphor kernel: Call Trace:   [<c0122ca0>]
copy_process [kernel]
 0x680 (0xcaac7f34)
Sep  1 16:20:36 bosphor kernel: [<c015d1c4>] do_pipe [kernel] 0x184
(0xcaac7f44)
Sep  1 16:20:36 bosphor kernel: [<c012316e>] do_fork [kernel] 0x4e
(0xcaac7f68)
Sep  1 16:20:36 bosphor kernel: [<c0107bd9>] sys_clone [kernel] 0x49
(0xcaac7fa0
)
Sep  1 16:20:36 bosphor kernel: [<c0109b27>] system_call [kernel] 0x33
(0xcaac7f
c0)
Sep  1 16:20:36 bosphor kernel:
Sep  1 16:20:36 bosphor kernel:
Sep  1 16:20:36 bosphor kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00
00 c7 43
0c 00 00 00 00 a1


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2199.nptl

How reproducible:
Always

Steps to Reproduce:
1. boot into 2.4.22-1.2199.nptl
2. start big perl script (not attached, but i'll try to get a copy if
necessary)
3. wait 18-24 hrs.  
    

Actual Results:  machine oopses

Expected Results:  machine keeps running normally

Additional info:
Comment 1 David Lawrence 2004-09-29 16:35:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.